OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
InactiveTileValues< TreeType > Class Template Reference

`#include <Diagnostics.h>`

## Public Types
typedef tree::IteratorRange< typename TreeType::ValueOffCIter > | IterRange
typedef TreeType::ValueType | ValueType
typedef std::set< ValueType > | SetType

## Public Member Functions
| InactiveTileValues (size_t numValues)
void | runParallel (IterRange &)
void | runSerial (IterRange &)
void | getInactiveValues (SetType &) const
| InactiveTileValues (const InactiveTileValues< TreeType > &, tbb::split)
void | operator() (IterRange &)
void | join (const InactiveTileValues< TreeType > &)

## Member Typedef Documentation

## ◆ IterRange

typedef tree::IteratorRange<typename TreeType::ValueOffCIter> IterRange

## ◆ SetType

typedef std::set<ValueType> SetType

## ◆ ValueType

typedef TreeType::ValueType ValueType

## Constructor & Destructor Documentation

## ◆ InactiveTileValues() [1/2]

InactiveTileValues | ( | size_t | numValues | ) |

## ◆ InactiveTileValues() [2/2]

InactiveTileValues | ( | const InactiveTileValues< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ getInactiveValues()

void getInactiveValues | ( | SetType & | values | ) | const
| inline

## ◆ join()

void join | ( | const InactiveTileValues< TreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | IterRange & | range | ) |
| inline

## ◆ runParallel()

void runParallel | ( | IterRange & | range | ) |

## ◆ runSerial()

void runSerial | ( | IterRange & | range | ) |

The documentation for this class was generated from the following file:

- Diagnostics.h